Bug 459787 - Dialog buttons do not work
Dialog buttons do not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xemacs (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-22 07:29 EDT by Vasile Gaburici
Modified: 2009-07-14 10:27 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:27:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vasile Gaburici 2008-08-22 07:29:55 EDT
Make xemacs display a dialog box, for instance quit by clicking the close window "x" button. Clicking on any of the pop-up dialog box buttons has no effect. The dialog box itself can thankfully be closed by clicking on its window's "x" close button.

Version-Release number of selected component (if applicable):
xemacs-21.5.28-6.fc9.i386

How reproducible:
Always.

Additional info:
I'm using compiz as window manager with the metacity window decorations disabled, i.e. using compiz's built-ins (they are faster).
Comment 1 Ville Skyttä 2008-08-22 13:34:29 EDT
Could you try if workarounds similar to ones mentioned in bug 244190 work for you?  They're for metacity, but perhaps there's a similar setting for compiz somewhere.
Comment 2 Vasile Gaburici 2008-08-22 14:38:54 EDT
From comment #6 there I see that the problem seems related to mouse focus handling. I also use the "hover" focus mode, i.e. not click. But I'm not going to change that... I'd rather use emacs instead!

(In reply to comment #1)
> Could you try if workarounds similar to ones mentioned in bug 244190 work for
> you?  They're for metacity, but perhaps there's a similar setting for compiz
> somewhere.
Comment 3 Ville Skyttä 2008-08-22 15:22:35 EDT
Even if you don't want to switch mouse focus handling permanently, it would be useful to know whether this issue is indeed related to it.  If yes, we could try submitting a compiz/metacity bug report since it works just fine e.g. in KDE/kwin.

Could you just try it out quickly and let me know how it looks?  I don't know when/if I might be able to set up a compiz environment for testing purposes.
Comment 4 Vasile Gaburici 2008-08-23 03:53:32 EDT
(In reply to comment #3)
> Even if you don't want to switch mouse focus handling permanently, it would be
> useful to know whether this issue is indeed related to it.  If yes, we could
> try submitting a compiz/metacity bug report since it works just fine e.g. in
> KDE/kwin.
> 
> Could you just try it out quickly and let me know how it looks?  I don't know
> when/if I might be able to set up a compiz environment for testing purposes.

I tried it but it mouse setting makes no difference with compiz. Just to be sure, I even restarted X after setting compiz's mouse to click. Dialog buttons still didn't work.
Comment 5 Bug Zapper 2009-06-09 22:31:54 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora Admin XMLRPC Client 2009-06-15 14:00:20 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Bug Zapper 2009-07-14 10:27:27 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.